Cannot upgrade Sitebuilder 4.1 for Windows: "Cannot connect to the server"

Refers to:

  • Plesk Sitebuilder 4.5 for Windows
  • Plesk Sitebuilder 4.1 for Windows

Created:

2016-11-16 13:09:26 UTC

Modified:

2016-12-21 20:04:44 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Cannot upgrade Sitebuilder 4.1 for Windows: "Cannot connect to the server"

Symptoms

I'm trying to upgrade Parallels Plesk Sitebuilder 4.1 for Windows using the instructions from this KB . A new window " Installation Wizard Information " with following warning appears:

Cannot connect to the server. Please check your connection settings and verify that SQL server is in the correct state.

alttext

Cause

Parallels Plesk Sitebuilder 4.1 uses database on a remote server. This is a known issue that has been fixed since Parallels Plesk Sitebuilder 4.2.3.

Resolution

You may try the following ways to resolve the issue and perform upgrading:

  1. Apply solution from this forum thread :

  2. Set SA password on the server to "sa", upgrade and then set back to good password.

  3. Please check that registry HKLM\SOFTWARE\SWsoft SiteBuilder for Windows|DBNAME and HKLM\SOFTWARE\SWsoft SiteBuilder for Windows|SQLSERVER contain correct values.

  4. Check connection using osql (path may be different on your system).

     `"C:\\Program Files\\Microsoft SQL Server\\80\\Tools\\Binn\\OSQL.EXE" -U sa -P sa -S norad16.norad.com -d n30sitebuilder`

    Then also please check connection using WSB_SQLUSER and WSB_SQLPWD params from registry:

    `"C:\\Program Files\\Microsoft SQL Server\\80\\Tools\\Binn\\OSQL.EXE" -U %WSB_SQLUSER% -P %WSB_SQLPWS% -S norad16.norad.com -d n30sitebuilder`
  5. Copy database of Parallels Plesk Sitebuilder 4.1 to local Sitebuilder server (there the application is installed).

    • Reconfigure database connection settings in the registry:

      HKLM\\Software\\SWsoft SiteBuilder for Windows
      --->8---
      SQLSERVER: ***
      WSB_SQLPWD: ***
      WSB_SQLUSER: ***
      WSB_SQLWINAUTH: ***
      ---8<---

      Verify connection to the database is possible with these parameters. Since other configuration files of Parallels Plesk Sitebuilder 4.1 refer to remote database server, the application itself works with remote database. Installer script uses registry settings for database connection.

    • Then Upgrade Parallels Plesk Sitebuilder 4.1 with SBinst.msi usual way . The installation script will upgrade Parallels Plesk Sitebuilder 4.1 to version 4.5 with local database. Perform upgrading, install all updates and upgrade templates according to this KB .

    • Copy database of Sitebuilder 4.5 to a remote server and reconfigure all configuration files with database connection. Kindly note that database is upgraded to version 4.5 as well, so it should be copied.

Have more questions? Submit a request
Please sign in to leave a comment.